import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'page.equipment.Spotcheck',
})
export class Spotcheck extends VuexModule {
  orderNoItemList: any = [];
  getTaskRecordList: any = [];
  @MutationAction
  // 点检：spotInspection
  // 巡检：inspection
  // 保养：maintenance
  async getTodayTask(query: any) {
    const result: any = await http.get(url.lanjuequipment.product.Inspection.getTodayTask, {
      //loginName: session.loginName,
      params: {
        userId: query.userId,
        planType: 'spotInspection',
        createTime: query.createTime,
      },
    });
    const orderNoItemList = result.data;
    return { orderNoItemList };
  }
  @MutationAction
  async getTaskRecord(query: any) {
    const result: any = await http.get(url.lanjuequipment.product.Inspection.getTaskRecord, {
      //loginName: session.loginName,
      params: {
        userId: query.userId,
        planType: 'spotInspection',
        createTime: query.createTime,
      },
    });
    const getTaskRecordList = result.data;
    return { getTaskRecordList };
  }
  //巡检列表巡检记录
  OrderInfList: any = [];
  @MutationAction
  async getInspectionOrderInfo(params: any) {
    const result: any = await http.post(url.lanjuequipment.product.Inspection.getInspectionOrderInfo, params);
    const OrderInfList: [] = result.data;
    return { OrderInfList };
  }
  SubmitCode: any = '';
  //巡检提交
  @MutationAction
  async updateInspectionRecord(params: any) {
    const result: any = await http.post(url.lanjuequipment.product.Inspection.updateInspectionRecord, params);
    const SubmitCode: [] = result.code;
    return { SubmitCode };
  }
}

export default getModule(Spotcheck);
